<?php
/**
 * @Author: José Elías Gutierrez
 * @Date:   2017-04-18 16:00:45
 * @Last Modified by:   José Elías Gutierrez
 * @Last Modified time: 2017-06-19 15:44:33
 */
?>

<div class="wrap">

	<?php $jebe_settings_tabs = apply_filters( 'easy_booking_settings_tabs', array(
		'general'	=> __('General ', 'j_easy_booking_extended'),
		'holidays'	=> __('Holidays ', 'j_easy_booking_extended'),
		'rates'	=> __('Rates ', 'j_easy_booking_extended'),
		'extra_groups'	=> __('Extras ', 'j_easy_booking_extended')
	));

	$current_tab = empty( $_GET['tab'] ) ? 'general' : sanitize_title( $_GET['tab'] ); ?>

	<form method="post" action="options.php" id="jebe_settings_form">

		<h2 class="nav-tab-wrapper woo-nav-tab-wrapper">
			<?php foreach ( $jebe_settings_tabs as $tab => $label ) { ?>
				<a href="<?php echo admin_url( 'admin.php?page=jebe_settings&tab=' . $tab ); ?>" class="nav-tab <?php echo ( $current_tab == $tab ? 'nav-tab-active' : '' ) ?>"><?php echo $label; ?></a>
			<?php } ?>
		</h2>
			 
		<?php do_action( 'jebe_settings_' . $current_tab . '_tab' ); ?>
		<?php if($current_tab == 'extra_groups') { ?>
		<div class="extra_group_extras">
			
		</div>
		<button class="btn" id="add_extra_to_extra_group">Añadir extra</button>
		<?php } ?>
		<?php submit_button(); ?>

	</form>

	<?php if($current_tab == 'holidays') { do_action( 'jebe_settings_show_holidays' ); } ?>
	<?php if($current_tab == 'rates') { do_action( 'jebe_settings_show_rates' ); } ?>
	<?php if($current_tab == 'extra_groups') { do_action( 'jebe_settings_show_extra_groups' ); } ?>

</div>
